"use strict";
cc._RF.push(module, 'e7324A1989GLrPTV7C8Xrqz', 'water');
// script/water.js

"use strict";

cc.Class({
  "extends": cc.Component,
  properties: {
    sp_water_show: cc.Sprite,
    camera_water: cc.Camera
  },
  // LIFE-CYCLE CALLBACKS:
  onLoad: function onLoad() {
    var texture = new cc.RenderTexture();
    texture.initWithSize(this.sp_water_show.node.width, this.sp_water_show.node.height);
    var spriteFrame = new cc.SpriteFrame();
    spriteFrame.setTexture(texture);
    spriteFrame.setFlipY(true);
    this.camera_water.targetTexture = texture;
    this.sp_water_show.spriteFrame = spriteFrame;
  },
  start: function start() {} // update (dt) {},

});

cc._RF.pop();